Subject: Re: bug#60010: [version 1.4.0] AMD screen stays black; modprobe fails

From: Ludovic Courtès <[email-masked]>
Date: Tue, 13 Dec 2022 14:03:11 +0100

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>> Specifically, here’s the minimal change we should test:[…]
>> +                    (unless (file-exists? "/dev/fb0")
>> +                      (setenv "LINUX_MODULE_DIRECTORY"
>> +                              "/run/booted-system/kernel/lib/modules")
>
> Thanks for the patch.
>
> I found I can test in QEMU if I put nomodeset in the kernel arguments
> in GRUB.
>
> Without the patch, the screen stays black there too.
> With the patch, it hrmm it also stays black.

Do you see hints as to whether uvesafb gets loaded?

You can do that by adding “console=ttyS0” to the kernel arguments and by
passing ‘-serial stdio’ to QEMU.

Ludo’.